Subject: FW: note: the IPSP MIB -01 documents were posted

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Sun, 7 Nov 2004 17:17:21 +0100

In addition to the below (which I had forgotten to copy to WG list)
I also saw:
!! Missing citation for Normative reference:
  P062 L040:    [RFC3411]  Harrington, D., Presuhn, R. and B. Wijnen, "An

!! Missing citation for Normative reference:
  P062 L046:    [RFC3412]  Case, J., Harrington, D., Presuhn, R. and B. Wijnen,

!! Missing citation for Normative reference:
  P062 L052:    [RFC3413]  Levi, D., Meyer, P. and B. Stewart, "Simple Network

!! Missing citation for Normative reference:
  P062 L057:    [RFC3414]  Blumenthal, U. and B. Wijnen, "User-based Security Model

!! Missing citation for Normative reference:
  P062 L062:    [RFC3415]  Wijnen, B., Presuhn, R. and K. McCloghrie, "View-based

C:\smi\pibs\ietf>smilint -l 6 -m -s -inamelength-32 ./IPSEC-SPD-MIB
./IPSEC-SPD-MIB:72: [2] {} Object identifier element `xxx' name only allowed as
first element
./IPSEC-SPD-MIB:115: [5] {type-without-format} warning: type `SpdIPPacketLogging
' has no format specification

Bert
-----Original Message-----
From: Wijnen, Bert (Bert) 
Sent: Monday, October 25, 2004 09:15
To: 'Wes Hardaker'; Wijnen, Bert (Bert)
Subject: RE: note: the IPSP MIB -01 documents were posted

SMICng tells me:

   W: f(spd.mi2), (67,21) The first revision should match the
      last update for MODULE-IDENTITY spdMIB

Yopu may want to check some otehr dates/timestanmps as well

   E: f(spd.mi2), (215,4) Item "spdEndGroupDirection" has invalid 
      value for MAX-ACCESS
   E: f(spd.mi2), (879,4) Item "spdTrueFilter" must not have items
      registered below it
   W: f(spd.mi2), (2086,20) Item "spdPacketPart" should have SIZE
      specified
   W: f(spd.mi2), (115,4) Textual convention "SpdIPPacketLogging"
      defined but not used

*** 2 errors and 3 warnings in parsing

Sect 4.1.2 is using net 10 addresses as examples.
Pls see RFC3330 for IP addresses to be used in examples.
I.e. they should be in    192.0.2.0/24

I see IPSec at some places. I kniow that at least one of the SEC
ADs wants it to be IPsec!!

Sect 4.1.2 I see
              spdEndGroupRowStatus = 5)           -- createAndGo
Mmm... I though that createAndGo is 4!!

spdIncomingPolicyGroupName is read-write but I see not explanantion 
w.r.t. the persistence behaviour

spdEndGroupStorageType 
  Description clause MUST (according to RFC2579) explain which
  columns must be writable for permanent rows!
same for other StorageType objects

spdEndGroupIdentType
  DESCRIPTION clause says:
           Values of unknown, ipv4z, ipv6z and dns are not legal
           values for this object."
I would like to see that represented in the MODULE-COMPLIANCE.
It even seem you only allow ipv4 and ipv6 given the size constraint
in the InetAddress itself.

The above is just a very very quick scan at the beginning of the document.
I'll see if I can find a MIB doctor for detailed review.

Bert
> -----Original Message-----
> From: Wes Hardaker [mailto:[email-masked]]
> Sent: Friday, October 22, 2004 21:37
> To: Bert Wijnen
> Subject: note: the IPSP MIB -01 documents were posted
> 
> 
> 
> subject says it all
> -- 
> Wes Hardaker
> Sparta
>